diff --git a/Changelog.md b/Changelog.md
index fe470f2..14415df 100644
--- a/Changelog.md
+++ b/Changelog.md
@@ -4,6 +4,8 @@
 ## Added
  - This changelog. It's long overdue I think!
  - Added the all tags page to the "More..." menu by default.
+ - Added recent changes page under the action `recent-changes`.
+ - Changed the cursor when hovering over a time to indicate that the tooltip contains more information.
 
 ## Changed
  - Improved appearance of the all pages list.
diff --git a/build/index.php b/build/index.php
index e495b89..1e4aa71 100644
--- a/build/index.php
+++ b/build/index.php
@@ -322,6 +322,8 @@ textarea ~ input[type=submit] { margin: 0.5rem 0.8rem; padding: 0.5rem; font-wei
 .tag-list li { display: inline-block; margin: 1rem; }
 .mini-tag { background: #d2c3dd; padding: 0.2rem 0.4rem; color: #fb701a; text-decoration: none; }
 
+.cursor-query { cursor: help; }
+
 .larger { color: rgb(9, 180, 0); }
 .smaller { color: rgb(207, 28, 17); }
 .nochange { color: rgb(132, 123, 199); font-style: italic; }
@@ -1585,7 +1587,7 @@ register_module([
 					
 					$title_display = human_filesize($rchange->newsize - $rchange->sizediff) . " -> " .  human_filesize($rchange->newsize);
 					
-					$content .= "\t\t\t<li><a href='?page=" . rawurlencode($rchange->page) . "'>$rchange->page</a> <span class='editor'>&#9998; $rchange->user</span> " . human_time_since($rchange->timestamp) . " <span class='$size_display_class' title='$title_display'>($size_display)</span></li>\n";
+					$content .= "\t\t\t<li><a href='?page=" . rawurlencode($rchange->page) . "'>$rchange->page</a> <span class='editor'>&#9998; $rchange->user</span> <time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time> <span class='$size_display_class' title='$title_display'>($size_display)</span></li>\n";
 				}
 				$content .= "\t\t</ul>";
 			}
@@ -3185,7 +3187,7 @@ function generate_page_list($pagelist)
 		$result .= "<li><a href='index.php?page=$pagename'>$pagename</a>
 		<em class='size'>(" . human_filesize($pageindex->$pagename->size) . ")</em>
 		<span class='editor'>&#9998; " . $pageindex->$pagename->lasteditor . "</span>
-		<time title='" . date("l jS \of F Y \a\\t h:ia T", $pageindex->$pagename->lastmodified) . "'>" . human_time_since($pageindex->$pagename->lastmodified) . "</time>
+		<time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $pageindex->$pagename->lastmodified) . "'>" . human_time_since($pageindex->$pagename->lastmodified) . "</time>
 		<span class='tags'>$tags</span></li>";
 	}
 	$result .= "		</ul>\n";
diff --git a/module_index.json b/module_index.json
index 8a1f6b7..d3d8b3e 100644
--- a/module_index.json
+++ b/module_index.json
@@ -41,7 +41,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds recent changes. Access through the 'recent-changes' action.",
         "id": "feature-recent-changes",
-        "lastupdate": 1452952383,
+        "lastupdate": 1452953620,
         "optional": false
     },
     {
@@ -122,7 +122,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds a page that lists all the pages in the index along with their metadata.",
         "id": "page-list",
-        "lastupdate": 1451134069,
+        "lastupdate": 1452953587,
         "optional": false
     },
     {
diff --git a/modules/feature-recent-changes.php b/modules/feature-recent-changes.php
index 4f16c98..4dfb996 100644
--- a/modules/feature-recent-changes.php
+++ b/modules/feature-recent-changes.php
@@ -47,7 +47,7 @@ register_module([
 					
 					$title_display = human_filesize($rchange->newsize - $rchange->sizediff) . " -> " .  human_filesize($rchange->newsize);
 					
-					$content .= "\t\t\t<li><a href='?page=" . rawurlencode($rchange->page) . "'>$rchange->page</a> <span class='editor'>&#9998; $rchange->user</span> " . human_time_since($rchange->timestamp) . " <span class='$size_display_class' title='$title_display'>($size_display)</span></li>\n";
+					$content .= "\t\t\t<li><a href='?page=" . rawurlencode($rchange->page) . "'>$rchange->page</a> <span class='editor'>&#9998; $rchange->user</span> <time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time> <span class='$size_display_class' title='$title_display'>($size_display)</span></li>\n";
 				}
 				$content .= "\t\t</ul>";
 			}
diff --git a/modules/page-list.php b/modules/page-list.php
index 2b359d4..b684fe9 100644
--- a/modules/page-list.php
+++ b/modules/page-list.php
@@ -111,7 +111,7 @@ function generate_page_list($pagelist)
 		$result .= "<li><a href='index.php?page=$pagename'>$pagename</a>
 		<em class='size'>(" . human_filesize($pageindex->$pagename->size) . ")</em>
 		<span class='editor'>&#9998; " . $pageindex->$pagename->lasteditor . "</span>
-		<time title='" . date("l jS \of F Y \a\\t h:ia T", $pageindex->$pagename->lastmodified) . "'>" . human_time_since($pageindex->$pagename->lastmodified) . "</time>
+		<time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $pageindex->$pagename->lastmodified) . "'>" . human_time_since($pageindex->$pagename->lastmodified) . "</time>
 		<span class='tags'>$tags</span></li>";
 	}
 	$result .= "		</ul>\n";
diff --git a/settings.fragment.php b/settings.fragment.php
index a468ce2..13fd52d 100644
--- a/settings.fragment.php
+++ b/settings.fragment.php
@@ -311,6 +311,8 @@ textarea ~ input[type=submit] { margin: 0.5rem 0.8rem; padding: 0.5rem; font-wei
 .tag-list li { display: inline-block; margin: 1rem; }
 .mini-tag { background: #d2c3dd; padding: 0.2rem 0.4rem; color: #fb701a; text-decoration: none; }
 
+.cursor-query { cursor: help; }
+
 .larger { color: rgb(9, 180, 0); }
 .smaller { color: rgb(207, 28, 17); }
 .nochange { color: rgb(132, 123, 199); font-style: italic; }
